> For the complete documentation index, see [llms.txt](https://docs.novarpc.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarpc.xyz/data-api/orders_stats.md).

# /orders\_stats

## POST /v1/{chain}/order\_stats

> Aggregated order statistics over a given timeframe. The time is inclusive of start\_time and exclusive of end\_time, and is capped at a maximum window of 1 day by default. Repeatedly calling with a high limit may cause rate limiting.

```json
{"openapi":"3.1.0","info":{"title":"api-docs","version":"0.1.0"},"servers":[{"url":"https://api.novarpc.xyz"}],"security":[{"ApiKeyQuery":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your API key"}},"schemas":{"Chain":{"type":"string","enum":["eth","base"]},"OrderStatsRequest":{"type":"object","required":["start_time","end_time"],"properties":{"end_time":{"type":"string","format":"date-time"},"include_unmined":{"type":"boolean","description":"If true, all orders are returned. If false, only mined orders are returned."},"limit":{"type":["integer","null"],"description":"Maximum number of orders to aggregate.","default":10000,"minimum":0},"offset":{"type":"integer","minimum":0},"start_time":{"type":"string","format":"date-time"}}},"OrderStats":{"type":"object","required":["total_orders","included_orders","inclusion_rate","block_0_inclusion_rate","block_1_inclusion_rate","total_refunds_received","mev_refunds","priority_fee_refunds","priority_fees_paid"],"properties":{"block_0_inclusion_rate":{"type":"number","format":"double","description":"Percentage of eligible txs that were included on the same block as they arrived"},"block_1_inclusion_rate":{"type":"number","format":"double","description":"Percentage of eligible txs that were included on the next block after they arrived"},"included_orders":{"type":"integer","format":"int64","description":"Total number of mined orders"},"inclusion_rate":{"type":"number","format":"double","description":"Ratio of included orders / total orders"},"mev_refunds":{"type":"number","format":"double","description":"Captured MEV generated by these orders"},"priority_fee_refunds":{"type":"number","format":"double","description":"Total refunded priority fees"},"priority_fees_paid":{"type":"number","format":"double","description":"Total fees paid (priority fees + block fee recipient payments) for orders that generated a priority fee based refund"},"total_orders":{"type":"integer","format":"int64","description":"Total number of received orders"},"total_refunds_received":{"type":"number","format":"double","description":"Equal to mev_refunds + priority_fee_refunds"}}}}},"paths":{"/v1/{chain}/order_stats":{"post":{"tags":["Reporting API"],"description":"Aggregated order statistics over a given timeframe. The time is inclusive of start_time and exclusive of end_time, and is capped at a maximum window of 1 day by default. Repeatedly calling with a high limit may cause rate limiting.","operationId":"order_stats","parameters":[{"name":"chain","in":"path","description":"Chain to query for","required":true,"schema":{"$ref":"#/components/schemas/Chain"}},{"name":"api_key","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatsRequest"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStats"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.novarpc.xyz/data-api/orders_stats.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
